# IRremoteESP8266: src/IRsend.h File Reference

IRsend.h File Reference

Go to the source code of this file.

## Classes

struct | stdAc::state_t
| Structure to hold a common A/C state. More...
class | IRsend
| Class for sending all basic IR protocols. More...

## Namespaces

| stdAc
| Enumerators and Structures for the Common A/C API.

## Enumerations

enum | stdAc::opmode_t { stdAc::opmode_t::kOff = -1, stdAc::opmode_t::kAuto = 0, stdAc::opmode_t::kCool = 1, stdAc::opmode_t::kHeat = 2, stdAc::opmode_t::kDry = 3, stdAc::opmode_t::kFan = 4, stdAc::opmode_t::kLastOpmodeEnum = kFan }
| Common A/C settings for A/C operating modes. More...
enum | stdAc::fanspeed_t { stdAc::fanspeed_t::kAuto = 0, stdAc::fanspeed_t::kMin = 1, stdAc::fanspeed_t::kLow = 2, stdAc::fanspeed_t::kMedium = 3, stdAc::fanspeed_t::kHigh = 4, stdAc::fanspeed_t::kMax = 5, stdAc::fanspeed_t::kLastFanspeedEnum = kMax }
| Common A/C settings for Fan Speeds. More...
enum | stdAc::swingv_t { stdAc::swingv_t::kOff = -1, stdAc::swingv_t::kAuto = 0, stdAc::swingv_t::kHighest = 1, stdAc::swingv_t::kHigh = 2, stdAc::swingv_t::kMiddle = 3, stdAc::swingv_t::kLow = 4, stdAc::swingv_t::kLowest = 5, stdAc::swingv_t::kLastSwingvEnum = kLowest }
| Common A/C settings for Vertical Swing. More...
enum | stdAc::swingh_t { stdAc::swingh_t::kOff = -1, stdAc::swingh_t::kAuto = 0, stdAc::swingh_t::kLeftMax = 1, stdAc::swingh_t::kLeft = 2, stdAc::swingh_t::kMiddle = 3, stdAc::swingh_t::kRight = 4, stdAc::swingh_t::kRightMax = 5, stdAc::swingh_t::kWide = 6, stdAc::swingh_t::kLastSwinghEnum = kWide }
| Common A/C settings for Horizontal Swing. More...
enum | fujitsu_ac_remote_model_t { ARRAH2E = 1, ARDB1, ARREB1E, ARJW2, ARRY4 }
| Fujitsu A/C model numbers. More...
enum | gree_ac_remote_model_t { YAW1F = 1, YBOFB }
| Gree A/C model numbers. More...
enum | hitachi_ac1_remote_model_t { R_LT0541_HTA_A = 1, R_LT0541_HTA_B }
| HITACHI_AC1 A/C model numbers. More...
enum | panasonic_ac_remote_model_t { kPanasonicUnknown = 0, kPanasonicLke = 1, kPanasonicNke = 2, kPanasonicDke = 3, kPanasonicJke = 4, kPanasonicCkp = 5, kPanasonicRkr = 6 }
| Panasonic A/C model numbers. More...
enum | sharp_ac_remote_model_t { A907 = 1, A705 = 2 }
| Sharp A/C model numbers. More...
enum | voltas_ac_remote_model_t { kVoltasUnknown = 0, kVoltas122LZF = 1 }
| Voltas A/C model numbers. More...
enum | whirlpool_ac_remote_model_t { DG11J13A = 1, DG11J191 }
| Whirlpool A/C model numbers. More...
enum | lg_ac_remote_model_t { GE6711AR2853M = 1, AKB75215403 }
| LG A/C model numbers. More...

## Variables

const int8_t | kPeriodOffset = -2
const uint8_t | kDutyDefault = 50
const uint8_t | kDutyMax = 100
const uint16_t | kMaxAccurateUsecDelay = 16383
const uint32_t | kDefaultMessageGap = 100000

## Enumeration Type Documentation

## fujitsu_ac_remote_model_t

enum fujitsu_ac_remote_model_t

Fujitsu A/C model numbers.

Enumerator
ARRAH2E |
ARDB1 |
ARREB1E |
ARJW2 |
ARRY4 |

## gree_ac_remote_model_t

enum gree_ac_remote_model_t

Gree A/C model numbers.

Enumerator
YAW1F |
YBOFB |

## hitachi_ac1_remote_model_t

enum hitachi_ac1_remote_model_t

HITACHI_AC1 A/C model numbers.

Enumerator
R_LT0541_HTA_A |
R_LT0541_HTA_B |

## lg_ac_remote_model_t

enum lg_ac_remote_model_t

LG A/C model numbers.

Enumerator
GE6711AR2853M |
AKB75215403 |

## panasonic_ac_remote_model_t

enum panasonic_ac_remote_model_t

Panasonic A/C model numbers.

Enumerator
kPanasonicUnknown |
kPanasonicLke |
kPanasonicNke |
kPanasonicDke |
kPanasonicJke |
kPanasonicCkp |
kPanasonicRkr |

## sharp_ac_remote_model_t

enum sharp_ac_remote_model_t

Sharp A/C model numbers.

Enumerator
A907 |
A705 |

## voltas_ac_remote_model_t

enum voltas_ac_remote_model_t

Voltas A/C model numbers.

Enumerator
kVoltasUnknown |
kVoltas122LZF |

## whirlpool_ac_remote_model_t

enum whirlpool_ac_remote_model_t

Whirlpool A/C model numbers.

Enumerator
DG11J13A |
DG11J191 |

## Variable Documentation

## kDefaultMessageGap

const uint32_t kDefaultMessageGap = 100000

## kDutyDefault

const uint8_t kDutyDefault = 50

## kDutyMax

const uint8_t kDutyMax = 100

## kMaxAccurateUsecDelay

const uint16_t kMaxAccurateUsecDelay = 16383

## kPeriodOffset

const int8_t kPeriodOffset = -2